# Class PermissionError

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a permission error.

    public class PermissionError : Error

Inheritance
  object
  Error
  PermissionError

Inherited Members
  Error.Type
  Error.Message
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### PermissionError(string)

Initializes a new instance of the PermissionError class.

    public PermissionError(string message)

#### Parameters

`message` string

  The message of the error.